<?php
/**
 * @file
 * Hooks provided by the Site Install Hooks API library.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Implements <code>hook_site_pre_install</code>.
 *
 * This hook is invoked immediately before
 * <code>install_profile_modules()</code> in Drupal core.
 */
function hook_site_pre_install() {
  // Initialize a variable that controls how a module gets installed down
  // the road
  variable_set('some_var', 1);
}

/**
 * Implements <code>hook_site_post_install</code>.
 *
 * This hook is invoked immediately after the last task in the install
 * profile (this is <code>install_configure_form()</code> for Drupal core's
 * profiles, but will vary from profile to profile).
 */
function hook_site_post_install() {
  // Force the site name to a constant value regardless of what the user
  // set during installation.
  variable_set('site_name', 'My super awesome site');
}

/**
 * @} End of "addtogroup hooks".
 */